/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.context.common.profile.dao;

import java.io.Serializable;

import org.jasig.portal.context.common.profile.ProfileId;
import org.jasig.portal.security.UserId;

/**
 * A data bean describing a choice of a profile for a particular user  
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 1.0$
 */
public class ProfileChoice implements Serializable {
    private UserId userId;
    private ProfileId profileId;

    public ProfileId getProfileId() {
        return profileId;
    }

    public void setProfileId(ProfileId profileId) {
        this.profileId = profileId;
    }

    public UserId getUserId() {
        return userId;
    }

    public void setUserId(UserId userId) {
        this.userId = userId;
    }

}
