/* Copyright 2005 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.i18n;

import java.util.Collections;
import java.util.List;
import java.util.Locale;


/**
 * Returns the {@link Locale#getDefault()} value in a singleton List.
 * 
 * @author Eric Dalquist <a href="mailto:edalquist@unicon.net">edalquist@unicon.net</a>
 * @version $Revision: 11911 $
 */
public class SystemLocalePreferenceProvider implements ILocalePreferenceProvider {

    public List getLocalePreferenceOrder() {
        return Collections.singletonList(Locale.getDefault());
    }
}
