/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.layout.transitory;

import org.jasig.portal.portlet.window.PortletWindowId;

/**
 * Transient user layout manager command functionality 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11955 $
 */
public interface ITransientLayoutManagerCommands {
    /**
     * Show portlet with a specific functional name.
     *
     * @param functionalName
     * @return portlet windowId of a window that will be returned in subsequent calls to
     * getPortlet()
     */
    PortletWindowId showPortlet(String functionalName);
}
