/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.layout.uportal2.simple.dao.hibernate;

import java.io.Serializable;

import org.jasig.portal.security.UserId;

/**
 *  A bean representing serialzied layout for a specific user, used in hibernate
 *  DAO implementation.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11955 $
 */
public class UserLayout implements Serializable {
    UserId userId;
    String serializedLayout;
    
    public UserLayout() {};
    
    public UserLayout(UserId userId) {
        this.userId = userId;
    }
    public UserId getUserId() {
        return userId;
    }
    public void setUserId(UserId userId) {
        this.userId = userId;
    }
    public String getSerializedLayout() {
        return serializedLayout;
    }
    public void setSerializedLayout(String userLayout) {
        this.serializedLayout = userLayout;
    }
}
