/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.common;


/**
 * Description consisting of a String and a Locale.
 * @author Ken Weiner, kweiner@unicon.net
 * @version $Revision: 11911 $
 */
public interface IDescription extends ILocalizable {

    /**
     * Returns the description text.
     * @return the description text
     */
    public String getDescriptionText();
    
    /**
     * Sets the description text.
     * @param descriptionText the display name text
     */
    public void setDescriptionText(String descriptionText);
}
