/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/
package org.jasig.portal.portlet.common;

import java.util.Iterator;
import java.util.Locale;
import java.util.ResourceBundle;

/**
 * The interface replacing Pluto's Language
 * 
 * @author Michael Ivanov, mvi@immagic.com
 * @version $Revision: 11911 $
 */
public interface ILanguage {

	public Locale getLocale();
	
    public String getTitle();
    
    public String getShortTitle();
    
    public Iterator getKeywords();

    public ResourceBundle getResourceBundle();
    
}
