/* Copyright 2005 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.common;

import java.util.Locale;


/**
 * @author Eric Dalquist <a href="mailto:edalquist@unicon.net">edalquist@unicon.net</a>
 * @version $Revision: 11911 $
 */
public interface ILocalizable {
    /**
     * Returns the locale associated with this object text.
     * @return the locale associated with this object text.
     */
    public Locale getLocale();
    
    /**
     * Sets the locale.
     * @param locale the locale
     */
    public void setLocale(Locale locale);  
}
