/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.common;

/**
 * Indicates how data communicated between the client
 * and the portlet should be protected.
 * @author Ken Weiner, kweiner@unicon.net
 * @version $Revision: 11911 $
 */
public interface IUserDataConstraint extends IDescribable {
    
    /**
     * Returns the transport guarantee type.
     * The return value cannot be NULL.
     * @return the transport guarantee type
     */
    public TransportGuarantee getTransportGuarantee();
}
