/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.common;



/**
 * An enumeration that specifies whether or not the 
 * communication between the client and the portlet 
 * should be NONE, INTEGRAL, or CONFIDENTIAL.
 * @author Ken Weiner, kweiner@unicon.net
 * @version $Revision: 11911 $
 */
public enum TransportGuarantee {
    NONE,
    INTEGRAL,
    CONFIDENTIAL;
}
