/* Copyright 2005 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.definition;

import org.jasig.portal.portlet.deployment.IPortletDeployment;



/**
 * Provides convience methods for getting properties for a locale. The
 * implementation should be configured with a locale to use to service
 * these properties.
 * 
 * @author Eric Dalquist <a href="mailto:edalquist@unicon.net">edalquist@unicon.net</a>
 * @version $Revision: 11911 $
 */
public interface ILocalizedPortletDeployment extends IPortletDeployment {
    public abstract String getLocalDisplayName();

    public abstract String getLocalDescription();
}
