/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.factory;

import org.jasig.portal.portlet.registry.general.IPortletApplicationEntityRegistry;
import org.jasig.portal.security.UserId;


/**
 * The portlet entity regitry factory.
 * @author Eric Dalquist <a href="mailto:edalquist@unicon.net">edalquist@unicon.net</a>
 * @version $Revision: 11955 $
 */
public interface IPortletApplicationEntityRegistryFactory {
    
    /**
     * Returns the portlet application entity registry instance.
     * @param userId the user ID
     * @return the portlet application entity registry
     */
    public IPortletApplicationEntityRegistry getPortletApplicationEntityRegistry(UserId userId);
}
