/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.factory;

import org.jasig.portal.portlet.registry.general.IPortletEntityRegistry;
import org.jasig.portal.security.UserId;


/**
 * The portlet entity regitry factory.
 * @author Michael Ivanov, mvi@immagic.com
 * @version $Revision: 11955 $
 */
public interface IPortletEntityRegistryFactory {
    
    /**
     * Returns the portlet entity registry instance.
     * @param userId the user ID
     * @return the portlet entity registry
     */
    public IPortletEntityRegistry getPortletEntityRegistry(UserId userId);
        
   
}
