/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.factory;

import org.jasig.portal.portlet.registry.general.IPortletWindowRegistry;
import org.jasig.portal.security.UserId;


/**
 * The portlet window regitry factory.
 * @author Michael Ivanov, mvi@immagic.com
 * @version $Revision: 11955 $
 */
public interface IPortletWindowRegistryFactory {
    
    /**
     * Returns the portlet window registry instance.
     * @param userId the user ID
     * @return the portlet window registry
     */
    public IPortletWindowRegistry getPortletWindowRegistry(UserId userId);
        
   
}
