/* Copyright 2005 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.factory;

import org.jasig.portal.portlet.registry.general.IPortletEntityRegistry;
import org.jasig.portal.portlet.registry.transitory.ITransientPortletEntityRegistry;
import org.jasig.portal.security.UserId;

/**
 * @author Eric Dalquist <a href="mailto:edalquist@unicon.net">edalquist@unicon.net</a>
 * @version $Revision: 11955 $
 */
public class TransientPortletEntityRegistryFactoryImpl implements IPortletEntityRegistryFactory {
    private ITransientPortletEntityRegistry transientPortletEntityRegistry;
    
    /**
     * @return Returns the transientPortletEntityRegistry.
     */
    public ITransientPortletEntityRegistry getTransientPortletEntityRegistry() {
        return this.transientPortletEntityRegistry;
    }
    /**
     * @param transientPortletEntityRegistry The transientPortletEntityRegistry to set.
     */
    public void setTransientPortletEntityRegistry(ITransientPortletEntityRegistry transientPortletEntityRegistry) {
        this.transientPortletEntityRegistry = transientPortletEntityRegistry;
    }


    public IPortletEntityRegistry getPortletEntityRegistry(UserId userId) {
        return this.transientPortletEntityRegistry;
    }
}
