/* Copyright 2005 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.factory;

import org.jasig.portal.portlet.registry.general.IPortletWindowRegistry;
import org.jasig.portal.portlet.registry.transitory.ITransientPortletWindowRegistry;
import org.jasig.portal.security.UserId;

/**
 * @author Eric Dalquist <a href="mailto:edalquist@unicon.net">edalquist@unicon.net</a>
 * @version $Revision: 11955 $
 */
public class TransientPortletWindowRegistryFactoryImpl implements IPortletWindowRegistryFactory {
    private ITransientPortletWindowRegistry transientPortletWindowRegistry;
    
    /**
     * @return Returns the transientPortletWindowRegistry.
     */
    public ITransientPortletWindowRegistry getTransientPortletWindowRegistry() {
        return this.transientPortletWindowRegistry;
    }
    /**
     * @param transientPortletWindowRegistry The transientPortletWindowRegistry to set.
     */
    public void setTransientPortletWindowRegistry(ITransientPortletWindowRegistry transientPortletWindowRegistry) {
        this.transientPortletWindowRegistry = transientPortletWindowRegistry;
    }


    public IPortletWindowRegistry getPortletWindowRegistry(UserId userId) {
        return this.transientPortletWindowRegistry;
    }
}
