/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.registry.general;

import org.jasig.portal.security.UserId;

/**
 * The generic user scoped registry interface.
 * @author Michael Ivanov, mvi@immagic.com
 * @version $Revision: 11955 $
 */

public interface IUserScopedRegistry {
	
	/**
     * Returns the ID of the user which this registry belongs to.
     * The return value cannot be NULL.
     * @return the portlet application entities
     */
    public UserId getUserId();
    
}
