/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.portlet.rendering;

import javax.portlet.RenderResponse;

/**
 * An extension of the portlet render response that allows
 * to extract recorded content.
 * 
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IPortletRenderResponse extends RenderResponse {
    /**
     * Obtain renedered content
     * @return content rendered by the portlet
     */
    IPortletRenderContent getRenderContent(); 
}
