/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.portlet.rendering;

/**
 * An interface which listeners of {@link org.jasig.portal.portlet.rendering.PortletWindowManagerEvent}
 * must implement 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IPortletWindowManagerEventListener {
    /**
     * Process portlet window manager event
     * @param event
     */
    public void receivePortletWindowManagerEvent(PortletWindowManagerEvent event);
}
