/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.portlet.rendering;

import org.jasig.portal.portlet.window.PortletWindowId;

/**
 * PortletRenderingInterruptedException is thrown when portlet rendering procedure is interrupted
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11955 $
 */
public class PortletRenderingInterruptedException extends PortletRenderingTimeoutException {
    public PortletRenderingInterruptedException(PortletWindowId windowId,long allowedTime, long usedTime) {
        super(windowId,allowedTime,usedTime);
    }

}
