/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.transfer;

import java.io.Serializable;

import org.jasig.portal.portlet.deployment.PortletApplicationDeploymentId;
import org.jasig.portal.portlet.deployment.IPortletApplicationDeploymentInformationProvider;

/**
 * Representation of portlet application
 * deployment required for persistence.
 * @author Ken Weiner, kweiner@unicon.net
 * @version $Revision: 11955 $
 */
public interface IPortletApplicationDeploymentTransfer extends IPortletApplicationDeploymentInformationProvider, Serializable {

    /**
     * Returns the identifier of this object.
     * @return the object identifier
     */
    public PortletApplicationDeploymentId getPortletApplicationDeploymentId();

}
