/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.url;

import javax.portlet.PortletURL;

import org.jasig.portal.url.IPortalUrl;

/**
 * An extension of <code>PortletUrl</code> that allows to obtain additional control interfaces for setting custom 
 * implementation parameters, for example those relating to the elements of the rendering pipeline.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IPortletUrl extends PortletURL, IPortalUrl {

}
