/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.window;


/**
 * Mutable portlet window interface.
 * @author Michael Ivanov, mvi@immagic.com
 * @version $Revision: 11955 $
 */
public interface IPortletWindowControl extends IPortletWindow {

    /**
     * Sets the ID of this portlet window.
     * @param id the object identifier
     */
    public void setPortletWindowId(PortletWindowId id);
}
