/**
 * 
 */
package org.jasig.portal.portlet.window;

import org.apache.pluto.PortletWindowID;
import org.jasig.portal.core.BaseStringObjectId;

/**
 * Identifies a {@link IPortletWindow}
 * 
 * @author Eric Dalquist <a href="mailto:eric.dalquist@doit.wisc.edu">eric.dalquist@doit.wisc.edu</a>
 * @version $Revision: 11942 $
 */
public class PortletWindowId extends BaseStringObjectId<PortletWindowId> implements PortletWindowID {

    /**
     * @see BaseStringObjectId#BaseStringObjectId(String)
     */
    public PortletWindowId(String id) {
        super(id);
    }

    /**
     * @see org.apache.pluto.PortletWindowID#getStringId()
     */
    public String getStringId() {
        return this.toString();
    }
}