/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.portlets.error.bean;

/** 
 * A constant class for describing phases at which portlet rendering errors can occur.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public class ErrorPhase {
    String phaseName;
    
    public static final ErrorPhase RENDERING_INITIATION_PHASE=new ErrorPhase("rendering initiation");
    public static final ErrorPhase CONTENT_RETRIEVAL_PHASE=new ErrorPhase("content retrieval");
    public static final ErrorPhase ACTION_PHASE=new ErrorPhase("action");
    

    public ErrorPhase(String phaseName) {
        this.phaseName=phaseName;
    }
}