/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.portlets.permissions;

import org.springframework.webflow.action.AbstractAction;
import org.springframework.webflow.execution.Event;
import org.springframework.webflow.execution.RequestContext;

public class SetupServantAction extends AbstractAction
implements PermissionsManagerConstants {

    @Override
    protected Event doExecute(RequestContext context) throws Exception {
        context.getExternalContext().getSessionMap().put(servantIsCompleteKey, Boolean.FALSE);
        context.getExternalContext().getSessionMap().put(servantIsCancelledKey, Boolean.FALSE);
        return success();
    }

}
