/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering;

import org.jasig.portal.core.exception.PortalException;

/**
 * PipelineMisconfigurationException is thrown whenever a rendering pipeline is given an invalid configuration
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11918 $
 */
public class PipelineMisconfigurationException extends PortalException {
    public PipelineMisconfigurationException(String message, Throwable cause) {
        super(message, cause);
    }

    public PipelineMisconfigurationException(String message) {
        super(message);
    }

    public PipelineMisconfigurationException(Throwable cause) {
        super(cause);
    }
}
