/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.rendering.attributes;

import org.xml.sax.Attributes;

/**
 * Element resolver that does not resolve any elements 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11955 $
 */
public class NoElementResolver implements IElementResolver {

    public ElementResolverKey resolveElementKey(String namespaceUri, String localName, String qName, Attributes atts) {
        return null;
    }

}
