/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.sax;

import org.xml.sax.ContentHandler;

/**
 * An interface covering all SAX pipeline elements that consume SAX events (i.e. all elements with the exception of the first element) 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface ISaxConsumer extends ContentHandler, ISaxPipelineComponent {

}
