/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.sax.events;


public abstract class AbstractIdentifiedEvent extends AbstractNamedEvent {
    private final String publicId;
    private final String systemId;
    
    public AbstractIdentifiedEvent(SaxEventType eventType, String name, String publicId, String systemId) {
        super(eventType, name);
        this.publicId = publicId;
        this.systemId = systemId;
    }

    public final String getPublicId() {
        return this.publicId;
    }

    public final String getSystemId() {
        return this.systemId;
    }
}