/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.sax.events;


public abstract class AbstractPrefixMappingEvent extends AbstractSaxEvent {
    private final String prefix;
    
    public AbstractPrefixMappingEvent(SaxEventType eventType, String prefix) {
        super(eventType);
        this.prefix = prefix;
    }

    public String getPrefix() {
        return this.prefix;
    }
}