/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.sax.events;

import org.xml.sax.SAXParseException;

public abstract class AbstractSaxExceptionEvent extends AbstractSaxEvent {
    private final SAXParseException saxException;
    
    public AbstractSaxExceptionEvent(SaxEventType eventType, SAXParseException saxException) {
        super(eventType);
        this.saxException = saxException;
    }

    public SAXParseException getSaxException() {
        return this.saxException;
    }
}