/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.sax.events.content;

import org.jasig.portal.rendering.sax.events.AbstractSaxEvent;


public class ProcessingInstructionEvent extends AbstractSaxEvent {
    private final String target;
    private final String data;
    
    public ProcessingInstructionEvent(String target, String data) {
        super(SaxEventType.PROCESSING_INSTRUCTION);
        this.target = target;
        this.data = data;
    }

    public String getData() {
        return this.data;
    }

    public String getTarget() {
        return this.target;
    }
}