/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.sax.events.dtd;

import org.jasig.portal.rendering.sax.events.AbstractIdentifiedEvent;


public class UnparsedEntityDeclEvent extends AbstractIdentifiedEvent {
    private final String notationName;
    
    public UnparsedEntityDeclEvent(String name, String publicId, String systemId, String notationName) {
        super(SaxEventType.UNPARSED_ENTITY_DECL, name, publicId, systemId);
        this.notationName = notationName;
    }

    public final String getNotationName() {
        return this.notationName;
    }
}