/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.security.acegi;


/**
 * An interface that allows to set a password for a user 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IPasswordSetter {
    /**
     * Set password for a given principal
     * @param principal
     * @param newPassword
     */
    void setPassword(String principal, String newPassword);
}
