/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/
package org.jasig.portal.servants.groups;

import javax.portlet.ActionRequest;
import javax.portlet.ActionResponse;
import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;

import org.springframework.web.portlet.ModelAndView;
import org.springframework.web.portlet.mvc.AbstractController;

public class GroupsManagerController extends AbstractController {
    
    private GroupsManagerBean groupsManagerBean;
    private ModelAndView nullModelAndView;
    
    public GroupsManagerController() {
        nullModelAndView = new ModelAndView();
    }

    @Override
    protected void handleActionRequestInternal(ActionRequest req, ActionResponse res) throws Exception {
        groupsManagerBean.processAction(req, res);
    }

    @Override
    protected ModelAndView handleRenderRequestInternal(RenderRequest req, RenderResponse res) throws Exception {
        groupsManagerBean.render(req, res);
        return nullModelAndView;
    }

    public void setGroupsManagerBean(GroupsManagerBean groupsManagerBean) {
        this.groupsManagerBean = groupsManagerBean;
    }

    public GroupsManagerBean getGroupsManagerBean() {
        return groupsManagerBean;
    }

}
