/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.url;

/**
 * A generic URL constructor interface.
 *
 * @author Michael Ivanov, mivanov at unicon.net
 * @version $Revision: 11911 $
 */
public interface IUrlConstructor {
	
	/**
	 * Commits the changes to a given instance of UrlInfo
	 * @param urlInfo a UrlInfo instance
	 */
	public void writeToUrl(UrlInfo urlInfo);

}
