/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.url;


/**
 * IUrlDecorator defines a provider of state information (typically navigational state) associated with URL.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IUrlDecorator {
    /**
     * Decorate an existing url with all necessary state information
     * @param url url instance to decorate
     */
    void decorateUrl(IPortalUrl url);

}
