/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.caching;
import java.io.Serializable;

/**
 * An interface describing cache key and validity object combination
 * 
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface ICacheKey extends Serializable {
    /**
     * @return Returns the validityObject.
     */
    public Serializable getValidityObject();
    /**
     * @return Returns the key.
     */
    public String getKey();
}