/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.context.common.persistence;

/**
 * IPersistenceController describes a context component that coordinates persistence of context component-managed preferences.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IPersistenceController extends IPersistenceControllerCommands {
    public void addPersistenceControllerListener(IPersistenceControllerEventListener listener);
    public void removePersistenceControllerListener(IPersistenceControllerEventListener listener);
}
