/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.context.common.persistence;

/**
 * IPersistenceControllerEventListener describes listeners of persistance controller events
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IPersistenceControllerEventListener {
    /**
     * Receive persistance controller event
     * @param event
     */
    void receivePersistenceControllerEvent(PersistenceControllerEvent event);

}
