/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.context.common.user;


/**
 * An interface defining user controller event listeners
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IUserControllerEventListener {
    /**
     * Receive user controller event
     * @param event
     */
    public void receiveUserControllerEvent(UserControllerEvent event);
}
