/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.context.dummy;

import org.jasig.portal.url.IPortalUrl;
import org.jasig.portal.url.IUrlDecorator;

/**
 * RenderUrlDecorator a simple decorator that makes use of the {@link org.jasig.portal.context.dummy.RenderUrlConstructorProvider}
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public class RenderUrlDecorator implements IUrlDecorator {

    public void decorateUrl(IPortalUrl url) {
        // all we have to do is obtain the constructor instance
        url.getUrlConstructor(RenderUrlConstructorProvider.CONSTRUCT_NAME);
    }
}
