/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.core.exception;

/**
 * Represents a problem with using the underlying portlet container.
 * 
 * @author Eric Dalquist <a href="mailto:eric.dalquist@doit.wisc.edu">eric.dalquist@doit.wisc.edu</a>
 * @version $Revision$
 */
public class PortletContainerException extends PortalException {
    public PortletContainerException(String message, Throwable cause) {
        super(message, cause);
    }

    public PortletContainerException(String message) {
        super(message);
    }

    public PortletContainerException(Throwable cause) {
        super(cause);
    }
}
