/* Copyright 2001 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package  org.jasig.portal.groups.services;

import org.jasig.gap.services.entitytypes.IEntityIdentifier;

/**
 * An interface describing entity property finders that can be
 * added to the EntityPropertyRegistry
 *
 * @author Alex Vigdor av317@columbia.edu
 * @version $Revision: 11911 $
 */
public interface IEntityPropertyFinder {
    String[] getPropertyNames(IEntityIdentifier entityID);
    String getProperty(IEntityIdentifier entityID, String name);
}



