/* Copyright 2005 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.i18n;

import java.util.Locale;

/**
 * Locale preference processor.
 * 
 * @author David Young, dyoung@unicon.net
 * @version $Revision: 11911 $
 */
public interface ILocalePreferenceProcessor {

	/**
	 * Set the locale
	 * @param locale
	 */
	public void setLocale(Locale locale);
}
