/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.layout;

import javax.servlet.http.HttpServletRequest;

/**
 * Default user layout root accessor impl 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public class UserLayoutRootNodeAccessor implements IUserLayoutRootNodeAccessor {
    static final String ROOT_NODE_ATTRIBUTE_NAME="layout_root_node";

    public String getUserLayoutRootNode(HttpServletRequest request) {
        return (String) request.getAttribute(ROOT_NODE_ATTRIBUTE_NAME);
    }

    public void setUserLayoutRootNode(String userLayoutRootNode, HttpServletRequest request) {
        request.setAttribute(ROOT_NODE_ATTRIBUTE_NAME,userLayoutRootNode);
    }
}
