/* Copyright 2005 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.layout.uportal2;

import org.jasig.portal.url.IUrlConstructor;
import org.jasig.portal.url.IUrlConstructorProvider;


/**
 * Creates new {@link LegacyLayoutSourceCommandsUrlConstructor} instances.
 * 
 * @author Eric Dalquist <a href="mailto:edalquist@unicon.net">edalquist@unicon.net</a>
 * @version $Revision: 11911 $
 */
public class LegacyLayoutSourceCommandsUrlConstructorProvider implements IUrlConstructorProvider {
    public IUrlConstructor getUrlConstructor() {
        return new LegacyLayoutSourceCommandsUrlConstructor();
    }

    public String getName() {
        return ILegacyLayoutSourceCommands.CONSTRUCTOR_NAME;
    }
}
