/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.common;

import javax.portlet.PortletMode;

/**
 * Custom portlet mode.
 * @author Ken Weiner, kweiner@unicon.net
 * @version $Revision: 11911 $
 */
public interface ICustomPortletMode extends IDescribable {

    /**
     * Returns the custom portlet mode.
     * The return value may cannot be NULL.
     * @return the portlet mode
     */
    public PortletMode getPortletMode();
       
}
