/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.common;


/**
 * Display name consisting of a String and a Locale.
 * @author Ken Weiner, kweiner@unicon.net
 * @version $Revision: 11911 $
 */
public interface IDisplayName extends ILocalizable {

    /**
     * Returns the display name text.
     * @return the display name text
     */
    public String getDisplayNameText();
    
    /**
     * Sets the display name text.
     * @param displayNameText the display name text
     */
    public void setDisplayNameText(String displayNameText);
}
