/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.common;

/**
 * Custom window state.
 * @author Ken Weiner, kweiner@unicon.net
 * @version $Revision: 11911 $
 */
public interface IUserAttribute extends IDescribable {

    /**
     * Returns the user attribute name.
     * The return value may cannot be NULL.
     * @return the user attribute name
     */
    public String getName();
       
}
