/* Copyright 2005 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.dao.hibernate.types;

import org.jasig.portal.core.hibernate.BaseStringObjectIdUserType;
import org.jasig.portal.portlet.definition.PortletApplicationDefinitionId;


/**
 * @author Eric Dalquist <a href="mailto:edalquist@unicon.net">edalquist@unicon.net</a>
 * @version $Revision: 11955 $
 */
public class PortletApplicationDefinitionIdUserType extends BaseStringObjectIdUserType<PortletApplicationDefinitionId> {
    /**
     * @see org.jasig.portal.core.hibernate.BaseStringObjectIdUserType#createObjectId(String)
     */
    @Override
    protected PortletApplicationDefinitionId createObjectId(String strId) {
        return new PortletApplicationDefinitionId(strId);
    }

    /**
     * @see org.jasig.portal.core.hibernate.BaseObjectIdUserType#returnedClass()
     */
    public Class returnedClass() {
        return PortletApplicationDefinitionId.class;
    }
}
