/* Copyright 2005 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.dao.hibernate.types;

import org.jasig.portal.core.hibernate.BaseStringObjectIdUserType;
import org.jasig.portal.portlet.window.PortletWindowId;


/**
 * @author Eric Dalquist <a href="mailto:edalquist@unicon.net">edalquist@unicon.net</a>
 * @version $Revision: 11955 $
 */
public class PortletWindowIdUserType extends BaseStringObjectIdUserType<PortletWindowId> {

    /**
     * @see org.jasig.portal.core.hibernate.BaseStringObjectIdUserType#createObjectId(java.lang.String)
     */
    @Override
    protected PortletWindowId createObjectId(String strId) {
        return new PortletWindowId(strId);
    }

    /**
     * @see org.jasig.portal.core.hibernate.BaseObjectIdUserType#returnedClass()
     */
    public Class returnedClass() {
        return PortletWindowId.class;
    }
}
