/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.definition;

import org.jasig.portal.core.BaseStringObjectId;

/**
 * Identifies a {@link IPortletDefinition}
 * 
 * @author Michael Ivanov, mivanov@unicon.net
 * @version $Revision: 11942 $
 */
public class PortletDefinitionId extends BaseStringObjectId<PortletDefinitionId> {
    /**
     * @see BaseStringObjectId#BaseStringObjectId(String)
     */
    public PortletDefinitionId(String id) {
        super(id);
    }
}