/* Copyright 2005 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.factory;

import org.jasig.portal.portlet.registry.general.IPortletApplicationEntityRegistry;
import org.jasig.portal.portlet.registry.transitory.ITransientPortletApplicationEntityRegistry;
import org.jasig.portal.security.UserId;

/**
 * @author Eric Dalquist <a href="mailto:edalquist@unicon.net">edalquist@unicon.net</a>
 * @version $Revision: 11955 $
 */
public class TransientPortletApplicationEntityRegistryFactoryImpl implements IPortletApplicationEntityRegistryFactory {
    private ITransientPortletApplicationEntityRegistry transientPortletApplicationEntityRegistry;
    
    /**
     * @return Returns the transientPortletApplicationEntityRegistry.
     */
    public ITransientPortletApplicationEntityRegistry getTransientPortletApplicationEntityRegistry() {
        return this.transientPortletApplicationEntityRegistry;
    }
    /**
     * @param transientPortletApplicationEntityRegistry The transientPortletApplicationEntityRegistry to set.
     */
    public void setTransientPortletApplicationEntityRegistry(ITransientPortletApplicationEntityRegistry transientPortletApplicationEntityRegistry) {
        this.transientPortletApplicationEntityRegistry = transientPortletApplicationEntityRegistry;
    }


    public IPortletApplicationEntityRegistry getPortletApplicationEntityRegistry(UserId userId) {
        return this.transientPortletApplicationEntityRegistry;
    }
}
