/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.portlet.registry.event;

import org.jasig.portal.portlet.deployment.PortletApplicationDeploymentId;
import org.jasig.portal.portlet.registry.general.IPortletApplicationDeploymentRegistry;

/**
 * A listener interface for the deployment registry   
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11955 $
 */
public interface IPortletApplicationDeploymentEventListener extends
        IRegistryEventListener<PortletApplicationDeploymentId, IPortletApplicationDeploymentRegistry> {

}
