package org.jasig.portal.portlets.permissions;

import javax.portlet.ActionRequest;
import javax.portlet.ActionResponse;
import javax.portlet.PortletRequest;
import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;

import org.jasig.portal.portlet.servant.ServantUtil;
import org.jasig.portal.spring.PoliteDispatcherPortlet;

public class PermissionsManagerDispatcherPortlet extends PoliteDispatcherPortlet
implements PermissionsManagerConstants {
   
    @Override
    protected void doActionService(ActionRequest request, ActionResponse response) throws Exception {
        super.doActionService(request, response);
        checkServantState(request);
    }

    @Override
    protected void doRenderService(RenderRequest request, RenderResponse response) throws Exception {
        super.doRenderService(request, response);
        checkServantState(request);
    }

    private void checkServantState(PortletRequest req) throws Exception {
        if (ServantUtil.isInServantMode(req)) {
	        Boolean isComplete = (Boolean)req.getPortletSession().getAttribute(servantIsCompleteKey);
	        if (isComplete) {
	            ServantUtil.setServantDone(req);
	        }
        }
    }

}
