/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.portlets.permissions;

import java.io.Serializable;
import java.util.Comparator;

public class PrincipalBeanComparator implements Comparator<PrincipalBean>, Serializable {
    private static final long serialVersionUID = 1L;

    //  Sort it alphabetically based on group/user names
    public int compare(PrincipalBean p1, PrincipalBean p2) {
        return ((String)p1.getLabel()).compareToIgnoreCase((String)p2.getLabel());
    }
}
