/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering;

/**
 * Interface exposing cache entry point to the renderer.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface ICacheEntryPoint {
    /**
     * Replay cache
     * @return <code>true</code> if the cache replay was successful
     */
    public boolean replayCache() throws RenderingException;
}