/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.rendering.attributes.url;

import org.jasig.portal.rendering.attributes.IRenderingAttributeProviderCommands;
import org.jasig.portal.url.IUrlConstructor;
import org.jasig.portal.url.IUrlConstructorProvider;

/**
 * Constructor provider for {@link org.jasig.portal.rendering.attributes.url.RenderingAttributeUrlConstructorImpl} 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public class RenderingAttributeUrlConstructorProvider implements IUrlConstructorProvider {
public final static String CONSTRUCT_NAME = IRenderingAttributeProviderCommands.class.getName();
    
    public IUrlConstructor getUrlConstructor() {
        return new RenderingAttributeUrlConstructorImpl();
    }

    public String getName() {
        return CONSTRUCT_NAME;
    }
}
