/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.sax;
/**
 * An interface for a configurable SAX event producer.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface ISaxProducer {
	/**
	 * Sets the consumer of sax events
	 */
	public void setSaxConsumer(ISaxConsumer consumer);

}