/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.sax;

import org.jasig.portal.rendering.IPortalRenderer;

/**
 * An interface describing first component in the SAX rendering pipeline.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface ISaxRenderer extends IPortalRenderer, ISaxPipelineComponent, ISaxProducer {

}
