/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.sax.events;


public abstract class AbstractNamedEvent extends AbstractSaxEvent {
    private final String name;
    
    public AbstractNamedEvent(SaxEventType eventType, String name) {
        super(eventType);
        this.name = name;
    }

    public String getName() {
        return this.name;
    }
    
    
}