/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.sax.events.content;

import org.jasig.portal.rendering.sax.events.AbstractPrefixMappingEvent;


public class StartPrefixMappingEvent extends AbstractPrefixMappingEvent {
    private final String uri;
    
    public StartPrefixMappingEvent(String prefix, String uri) {
        super(SaxEventType.START_PREFIX_MAPPING, prefix);
        this.uri = uri;
    }

    public String getUri() {
        return this.uri;
    }
}