/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.string;


/**
 * Interface describing all string pipeline components with the exception of the first one (IStringRenderer)
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IStringPipelineDownstreamComponent extends IStringRenderingComponent {
    /**
     * Filter incoming String, updating it with current rendering information
     * @param input - string representation of the content rendered so far
     */
    void filterRendering(String input);
}
