/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.string;

/**
 * An interface implemented by all string pipeline components with the exception of the very last one
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IStringPipelineUpstreamComponent extends IStringRenderingComponent {
    /**
     * Set the downstream filter instance to which the content should be sent (via filterRendering() method).
     * @param downstreamFilter - filter to which processed content should be sent
     */
    void setStringHandler(IStringPipelineDownstreamComponent downstreamFilter);
}
