/* Copyright 2001 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package  org.jasig.portal.servants.groups;


import javax.portlet.PortletConfig;
import javax.portlet.PortletException;

import org.jasig.portal.portlets.xslt.GenericXsltPortlet;

/**
 * GroupsManager portlet servant implementation.
 * @author Michael Ivanov
 * @version $Revision: 11911 $
 */

public class GroupsManagerPortlet extends GenericXsltPortlet {
    
    private String beanLocation;

    @Override
    public void init(PortletConfig portletConfig) throws PortletException {
        beanLocation = portletConfig.getInitParameter("beanLocation");
        if (beanLocation == null || "".equals(beanLocation.trim())) {
            throw new RuntimeException("Portlet init param 'beanLocation' must be specified.");
        }
        super.init(portletConfig);
    }

    protected String getBeanLocation() {
       return beanLocation;
   }

}
