/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.url;

/**
 * A constructor interface for adding elements to the rendering path.  
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IServletPathExtender {
    /**
     * Add element to the servlet path
     * @param element
     */
    public void addPathElement(String element);
}
