/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.utils;

/**
 * ISequenceIncrementer is a simple sequence incrementor interface 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 */
public interface ISequenceIncrementer {
    /**
     * Get incremented value as a long
     * @return incremented counter value
     */
    public long getNextLongValue();
    /**
     * Get incremented value as an int
     * @return incremented counter value
     */
    public int getNextIntValue();
    /**
     * Get incremented value as a string
     * @return incremented counter value
     */
    public String getNextStringValue();

}
